Subject: Re: bug#25852: Users not updating their installations of Guix

From: Pjotr Prins <[email-masked]>
Date: Tue, 7 Mar 2017 06:54:16 +0000

On Mon, Mar 06, 2017 at 03:52:07PM +0100, Ricardo Wurmus wrote:
> > Removing the surprise can be […] by […] making `guix pull' able to update
> > guix-daemon as well.
> 
> That’s what is planned for “guix pull” anyway IIRC.  I suspect this
> would be easier if we had a daemon written in Guile.

This is intriguing. You mean that the daemon would be loading modules
in different versions for different users. So, essentially, every user
is running his/her own daemon.